Create Invoice Document
curl --request POST \
--url https://api.upwell.com/api/rest/invoices/{invoiceId}/documents \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"base64": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"type": "<string>",
"visibleToCarrier": true,
"visibleToCustomer": true
},
"invoiceId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/invoices/{invoiceId}/documents"
payload = {
"input": {
"base64": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"type": "<string>",
"visibleToCarrier": True,
"visibleToCustomer": True
},
"invoiceId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
base64: '<string>',
filename: '<string>',
mimeType: '<string>',
sourceSystem: '<string>',
sourceSystemId: '<string>',
type: '<string>',
visibleToCarrier: true,
visibleToCustomer: true
},
invoiceId: '<string>'
})
};
fetch('https://api.upwell.com/api/rest/invoices/{invoiceId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createInvoiceDocument": {
"documentId": "<string>",
"id": "<string>"
}
}Invoice Documents
Create Invoice Document
Create a new invoice document
POST
/
api
/
rest
/
invoices
/
{invoiceId}
/
documents
Create Invoice Document
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"invoiceId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for POST /api/rest/invoices/{invoiceId}/documents
Show child attributes
Show child attributes
āI

